﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Line : MonoBehaviour
{
    [SerializeField] float rvalue;
    LineRenderer lr;
    IO io;
    [SerializeField] string pwyInOut;
    

    // Start is called before the first frame update
    void Start()
    {
        lr = GetComponent<LineRenderer>();
        io = FindObjectOfType<IO>();
        
    }

    public void SetRValue(float r)
    {
        rvalue = r;
    }

    public float GetRValue()
    {
        return rvalue;
    }

    // Update is called once per frame
    void Update()
    {
        DisplayLine();
    }

    public void SetPwyInOut(string inOut)
    {
        pwyInOut = inOut;
    }

    void DisplayLine()
    {
        //lr.material = new Material(Shader.Find("Sprites/Default"));
        
        double r = io.GetSliderValue();
        bool inToggle = io.GetInToggle();
        //bool inToggle = true;
        bool outToggle = io.GetOutToggle();
        //bool outToggle = true;

        if (rvalue<0)
        {
            lr.startColor = Color.blue;
            lr.endColor = Color.blue;
        }

        if (System.Math.Abs(rvalue) > r)
        {
            if (pwyInOut == "IN" && inToggle == true)
            {
                lr.enabled = true;
            }
            else if (pwyInOut == "OUT" && outToggle == true)
            {
                lr.enabled = true;
            }
            else
            {
                lr.enabled = false;
            }

        }
        else
        {
            lr.enabled = false;
        }
    }
}
