﻿using System.Collections.Generic;
using System.Numerics;


/*
[System.Serializable]
public class LineObject
{

    //public int[,] points = new int[1000,3];
    //public List<Vector3> vectors = new List<Vector3>(3);

    public float x;
    public float y;
    public float z;
}

[System.Serializable]
public class LineObjects
{

    public LineObject[] points = new LineObject[20000];
    
}
*/

[System.Serializable]
public class MyLine
{

    public float[] from = new float[3];
    public float[] to = new float[3];
    public string name;
    public float rvalue;
    public string pwy;
}

[System.Serializable]
public class MyLines
{

    public List<MyLine> lines = new List<MyLine>();
    
}

[System.Serializable]
public class MetaboliteObj
{
    public float x;
    public float y;
    public float z;
    public float zscore;
    public string ID;
    public string name;
}

[System.Serializable]
public class Metabolites
{

    public List<MetaboliteObj> metabolites = new List<MetaboliteObj>();

}

[System.Serializable]
public class ZScore
{
    public string ID;
    public float zscore;

}

[System.Serializable]
public class ZScores
{

    public List<ZScore> zscores = new List<ZScore>();

}

[System.Serializable]
public class TowerHeight
{
    public string ID;
    public float case_height;
    public float control_height;
}

[System.Serializable]
public class Heights
{

    public List<TowerHeight> heights = new List<TowerHeight>();

}